#tag BuildAutomation
			Begin BuildStepList Linux
				Begin BuildProjectStep Build
				End
				Begin IDEScriptBuildStep ScriptForDebug , AppliesTo = 1
					
					Say("Copying ancillary INI file to the build folder.")
					Exec("cp -r '/home/wes/comvette_project_files/cataloger/ancillary_files_for_debug/Debugcataloger.ini' " + CurrentBuildLocation)
					
					Say("Copying ancillary Python file to the build folder.")
					Exec("cp -r '/home/wes/comvette_project_files/cataloger/ancillary_files_for_debug/get_tags.py' " + CurrentBuildLocation)
					
					Say("Deleting files from Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' ssh pi@comvette sudo rm -rf /home/pi/Desktop/Debugcataloger/*")
					
					Say("Xojo is copying files to Raspberry Pi.")
					
					
					'=======================================================================================
					
					Sub Exec(Command_str As String)
					
					'Print Command_str
					
					Var Result_str As String = DoShellCommand(Command_str)
					If Result_str <> "" Then
					Print("Exec failed performing: " + Command_str + EndOfLine + "Result:" + Result_str)
					End If
					
					End Sub
					
					Sub Say(Phrase_str As String)
					
					Call DoShellCommand("speak '" + Phrase_str + "'")
					
					End Sub
					
				End
				Begin IDEScriptBuildStep ScriptForRelease , AppliesTo = 2
					
					Say("Copying ancillary INI file to the build folder.")
					Exec("cp -r '/home/wes/comvette_project_files/cataloger/ancillary_files_for_release/cataloger.ini' " + CurrentBuildLocation)
					
					Say("Copying ancillary Python file to the build folder.")
					Exec("cp -r '/home/wes/comvette_project_files/cataloger/ancillary_files_for_release/get_tags.py' " + CurrentBuildLocation)
					
					Say("Deleting files from Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' ssh pi@comvette sudo rm -rf /home/pi/echo-dev/cataloger/*")
					
					Say("Copying files to Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' scp -r " + CurrentBuildLocation + " pi@comvette:/home/pi/echo-dev/")
					
					Say("Changing ownership of files.")
					Exec("sshpass -p 'yuhana27' ssh pi@comvette sudo chown -R pi:pi /home/pi/echo-dev/cataloger/")
					
					Say("Changing permissions of files.")
					Exec("sshpass -p 'yuhana27' ssh pi@comvette sudo chmod -R 755 /home/pi/echo-dev/cataloger/")
					
					Say("Setup is complete.")
					
					
					'=======================================================================================
					
					Sub Exec(Command_str As String)
					
					'Print Command_str
					
					Var Result_str As String = DoShellCommand(Command_str)
					If Result_str <> "" Then
					Print("Exec failed performing: " + Command_str + EndOfLine + "Result:" + Result_str)
					End If
					
					End Sub
					
					Sub Say(Phrase_str As String)
					
					Call DoShellCommand("speak '" + Phrase_str + "'")
					
					End Sub
					
				End
			End
			Begin BuildStepList Mac OS X
				Begin BuildProjectStep Build
				End
			End
			Begin BuildStepList Windows
				Begin BuildProjectStep Build
				End
			End
#tag EndBuildAutomation
