#tag Class
Protected Class cataloger
Inherits Application
	#tag Event
		Sub Close()
		  
		  ' Destroy main window.
		  '
		  MainWindow_gobj = Nil
		  
		End Sub
	#tag EndEvent

	#tag Event
		Sub Open()
		  
		  ' Get path to our executable
		  '
		  AppPath_gstr = App.ExecutableFile.Parent.NativePath
		  
		  ' Get our executable file name
		  '
		  AppName_gstr = App.ExecutableFile.Name
		  
		  ' Get folder item for INI file
		  '
		  INIFile_gfi = New FolderItem(AppPath_gstr + AppName_gstr + ".ini", FolderItem.PathModes.Native)
		  
		  ' Load configuration
		  '
		  ConfigLoad
		  
		  ' Create main window.
		  '
		  MainWindow_gobj = New main_window
		  
		  ' Display main window.
		  '
		  MainWindow_gobj.Show
		  
		End Sub
	#tag EndEvent

	#tag Event
		Function UnhandledException(error As RuntimeException) As Boolean
		  
		  LogErrorAndQuit(error)
		  
		End Function
	#tag EndEvent


	#tag Note, Name = Notice
		This file is part of Comvette.
		
		Comvette is free software: you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation, either version 3 of the License, or
		(at your option) any later version.
		
		Comvette is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
		
		You should have received a copy of the GNU General Public License
		along with Comvette.  If not, see <https://www.gnu.org/licenses/>.
		
		
	#tag EndNote

	#tag Note, Name = ReadMe
		This program (Cataloger) is a utility to gather metadata (tag info) from media files
		and place that metadata into the Comvette database.
		
		Cataloger is Copyright 2017-2021 Lawrence Westhaver.
		
		
		
	#tag EndNote


	#tag ViewBehavior
	#tag EndViewBehavior
End Class
#tag EndClass
