#tag BuildAutomation
			Begin BuildStepList Linux
				Begin BuildProjectStep Build
				End
				Begin IDEScriptBuildStep ScriptForDebug , AppliesTo = 1, Architecture = 0
					
					Say("Copying ancillary folders to the build folder")
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_debug/gps_logs/' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_debug/movie_playlists/' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_debug/music_playlists/' " + CurrentBuildLocation)
					
					Say("Copying ancillary database to the build folder")
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_debug/Debugcomvette.db' " + CurrentBuildLocation)
					
					Say("Copying ancillary INI file to the build folder")
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_debug/Debugcomvette.ini' " + CurrentBuildLocation)
					
					Say("Copying ancillary script files to the build folder")
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_debug/app_start.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_debug/launch_movie.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_debug/launch_music.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_debug/omx_player_dbus_control.sh' " + CurrentBuildLocation)
					
					Say("Copying ancillary image files to the build folder")
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_debug/wallpaper.png' " + CurrentBuildLocation)
					
					Say("Deleting files from Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' ssh pi@comvette sudo rm -rf /home/pi/Desktop/Debugcomvette/*")
					
					Say("Xojo is copying files to Raspberry Pi")
					
					
					'=======================================================================================
					
					Sub Exec(Command_str As String)
					
					'Print Command_str
					
					Var Result_str As String = DoShellCommand(Command_str)
					If Result_str <> "" Then
					Print("Exec failed performing: " + Command_str + EndOfLine + "Result:" + Result_str)
					End If
					
					End Sub
					
					Sub Say(Phrase_str As String)
					
					Call DoShellCommand("speak '" + Phrase_str + "'")
					
					End Sub
					
				End
				Begin IDEScriptBuildStep ScriptForRelease , AppliesTo = 2, Architecture = 0
					
					Say("Copying ancillary folders to the build folder")
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_release/gps_logs/' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_release/movie_playlists/' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_release/music_playlists/' " + CurrentBuildLocation)
					
					Say("Copying ancillary database to the build folder")
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_release/comvette.db' " + CurrentBuildLocation)
					
					Say("Copying ancillary INI file to the build folder")
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_release/comvette.ini' " + CurrentBuildLocation)
					
					Say("Copying ancillary script files to the build folder")
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_release/app_start.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_release/launch_movie.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_release/launch_music.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_release/omx_player_dbus_control.sh' " + CurrentBuildLocation)
					
					Say("Copying ancillary image files to the build folder")
					Exec("cp -r '/home/wes/comvette_project_files/comvette/ancillary_files_for_release/wallpaper.png' " + CurrentBuildLocation)
					
					Say("Deleting files from Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' ssh pi@comvette sudo rm -rf /home/pi/echo-dev/comvette/*")
					
					Say("Copying files to Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' scp -r " + CurrentBuildLocation + " pi@comvette:/home/pi/echo-dev/")
					
					Say("Changing ownership of files.")
					Exec("sshpass -p 'yuhana27' ssh pi@comvette sudo chown -R pi:pi /home/pi/echo-dev/comvette/")
					
					Say("Changing permissions of files.")
					Exec("sshpass -p 'yuhana27' ssh pi@comvette sudo chmod -R 755 /home/pi/echo-dev/comvette/")
					
					Say("Setup is complete.")
					
					
					'=======================================================================================
					
					Sub Exec(Command_str As String)
					
					'Print Command_str
					
					Var Result_str As String = DoShellCommand(Command_str)
					If Result_str <> "" Then
					Print("Exec failed performing: " + Command_str + EndOfLine + "Result:" + Result_str)
					End If
					
					End Sub
					
					Sub Say(Phrase_str As String)
					
					Call DoShellCommand("speak '" + Phrase_str + "'")
					
					End Sub
					
				End
			End
			Begin BuildStepList Mac OS X
				Begin BuildProjectStep Build
				End
			End
			Begin BuildStepList Windows
				Begin BuildProjectStep Build
				End
			End
#tag EndBuildAutomation
