#!/bin/bash

# Change to the comvette directory.
#
cd /home/pi/echo-dev/comvette/

# Delete any orphaned .dat files.
#
rm -f launch_music.dat
rm -f launch_movie.dat

# Kill any running audio and video launchers.
#
killall launch_music.sh
killall launch_movie.sh

# Kill any running omxplayer instances.
#
killall omxplayer.bin

# Run the audio and video launchers as background processes.
#
./launch_music.sh &
./launch_movie.sh &

# Run the comvette program.
#
./comvette

# Reboot, Shutdown or return to desktop after exiting Comvette.
#
if [ -e comvette.cmd ]; then
  read -r cmd < comvette.cmd
  rm comvette.cmd
  $cmd
fi
