#tag Window
Begin ContainerControl player_buttons
   AcceptFocus     =   False
   AcceptTabs      =   True
   AutoDeactivate  =   True
   BackColor       =   &cFFFFFF00
   Backdrop        =   0
   DoubleBuffer    =   False
   Enabled         =   True
   EraseBackground =   True
   HasBackColor    =   False
   Height          =   75
   HelpTag         =   ""
   InitialParent   =   ""
   Left            =   0
   LockBottom      =   False
   LockLeft        =   False
   LockRight       =   False
   LockTop         =   False
   TabIndex        =   0
   TabPanelIndex   =   0
   TabStop         =   True
   Top             =   0
   Transparent     =   True
   UseFocusRing    =   False
   Visible         =   True
   Width           =   326
   Begin single_action_button PlayerButton_obj
      AcceptFocus     =   True
      AcceptTabs      =   False
      AutoDeactivate  =   True
      Backdrop        =   0
      Caption         =   ""
      CaptionColor    =   &cFFFFFF00
      CaptionOffset   =   0
      Clip            =   False
      DoubleBuffer    =   False
      Enabled         =   True
      FontSize        =   22
      Height          =   75
      HelpTag         =   ""
      Icon            =   205875199
      IconOffset      =   0
      Index           =   0
      InitialParent   =   ""
      Left            =   0
      LockBottom      =   False
      LockedInPosition=   True
      LockLeft        =   True
      LockRight       =   False
      LockTop         =   True
      Scope           =   2
      TabIndex        =   0
      TabPanelIndex   =   0
      TabStop         =   True
      Top             =   0
      Transparent     =   False
      UseFocusRing    =   False
      Visible         =   True
      Width           =   142
   End
   Begin single_action_button PlayerButton_obj
      AcceptFocus     =   True
      AcceptTabs      =   False
      AutoDeactivate  =   True
      Backdrop        =   0
      Caption         =   ""
      CaptionColor    =   &cFFFFFF00
      CaptionOffset   =   0
      Clip            =   False
      DoubleBuffer    =   False
      Enabled         =   True
      FontSize        =   22
      Height          =   75
      HelpTag         =   ""
      Icon            =   1255170047
      IconOffset      =   0
      Index           =   1
      InitialParent   =   ""
      Left            =   154
      LockBottom      =   False
      LockedInPosition=   True
      LockLeft        =   True
      LockRight       =   False
      LockTop         =   True
      Scope           =   2
      TabIndex        =   1
      TabPanelIndex   =   0
      TabStop         =   True
      Top             =   0
      Transparent     =   False
      UseFocusRing    =   True
      Visible         =   True
      Width           =   80
   End
   Begin single_action_button PlayerButton_obj
      AcceptFocus     =   True
      AcceptTabs      =   False
      AutoDeactivate  =   True
      Backdrop        =   0
      Caption         =   ""
      CaptionColor    =   &cFFFFFF00
      CaptionOffset   =   0
      Clip            =   False
      DoubleBuffer    =   False
      Enabled         =   True
      FontSize        =   22
      Height          =   75
      HelpTag         =   ""
      Icon            =   1757044735
      IconOffset      =   0
      Index           =   2
      InitialParent   =   ""
      Left            =   246
      LockBottom      =   False
      LockedInPosition=   True
      LockLeft        =   True
      LockRight       =   False
      LockTop         =   True
      Scope           =   2
      TabIndex        =   2
      TabPanelIndex   =   0
      TabStop         =   True
      Top             =   0
      Transparent     =   False
      UseFocusRing    =   True
      Visible         =   True
      Width           =   80
   End
End
#tag EndWindow

#tag WindowCode
	#tag Event
		Sub Open()
		  
		  Self.Reset
		  
		End Sub
	#tag EndEvent


	#tag Method, Flags = &h0
		Sub Reset()
		  
		  Dim Icons_pic() As Picture = Array(icon_play_lolite_32, icon_pause_lolite_32, icon_stop_hilite_32)
		  
		  For Index_int As Integer = 0 To 2
		    
		    ' Reset button icons to default state.
		    '
		    PlayerButton_obj(Index_int).Icon = New Picture(Icons_pic(Index_int).Width, Icons_pic(Index_int).Height)
		    PlayerButton_obj(Index_int).Icon.Graphics.DrawPicture(Icons_pic(Index_int), 0, 0)
		    PlayerButton_obj(Index_int).Refresh
		    
		  Next Index_int
		  
		End Sub
	#tag EndMethod


	#tag Hook, Flags = &h0
		Event Pause()
	#tag EndHook

	#tag Hook, Flags = &h0
		Event Play()
	#tag EndHook

	#tag Hook, Flags = &h0
		Event Stop()
	#tag EndHook


#tag EndWindowCode

#tag Events PlayerButton_obj
	#tag Event
		Function MouseDown(index as Integer, X_int As Integer, Y_int As Integer) As Boolean
		  
		  #Pragma Unused X_int
		  #Pragma Unused Y_int
		  
		  
		  Return True
		  
		End Function
	#tag EndEvent
	#tag Event
		Sub MouseUp(index as Integer, X_int As Integer, Y_int As Integer)
		  
		  #Pragma Unused X_int
		  #Pragma Unused Y_int
		  
		  Dim IconsLoLite_pic() As Picture = Array(icon_play_lolite_32, icon_pause_lolite_32, icon_stop_lolite_32)
		  Dim IconsHiLite_pic() As Picture = Array(icon_play_hilite_32, icon_pause_hilite_32, icon_stop_hilite_32)
		  
		  
		  ' Manage button hilite and lolite colors.
		  '
		  For Index_int As Integer = 0 To 2
		    If Index_int = index Then
		      PlayerButton_obj(Index_int).Icon = New Picture(IconsHiLite_pic(Index_int).Width, IconsHiLite_pic(Index_int).Height)
		      PlayerButton_obj(Index_int).Icon.Graphics.DrawPicture(IconsHiLite_pic(Index_int), 0, 0)
		      PlayerButton_obj(Index_int).Refresh
		    Else
		      PlayerButton_obj(Index_int).Icon = New Picture(IconsLoLite_pic(Index_int).Width, IconsLoLite_pic(Index_int).Height)
		      PlayerButton_obj(Index_int).Icon.Graphics.DrawPicture(IconsLoLite_pic(Index_int), 0, 0)
		      PlayerButton_obj(Index_int).Refresh
		    End If
		  Next Index_int
		  
		  ' Raise event for button.
		  '
		  Select Case Index
		    
		  Case 0
		    RaiseEvent Play
		    
		  Case 1
		    RaiseEvent Pause
		    
		  Case 2
		    RaiseEvent Stop
		    
		  End Select
		  
		End Sub
	#tag EndEvent
#tag EndEvents
#tag ViewBehavior
	#tag ViewProperty
		Name="AllowAutoDeactivate"
		Visible=true
		Group="Appearance"
		InitialValue="True"
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="Tooltip"
		Visible=true
		Group="Appearance"
		InitialValue=""
		Type="String"
		EditorType="MultiLineEditor"
	#tag EndViewProperty
	#tag ViewProperty
		Name="AllowFocusRing"
		Visible=true
		Group="Appearance"
		InitialValue="False"
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="BackgroundColor"
		Visible=true
		Group="Background"
		InitialValue="&hFFFFFF"
		Type="Color"
		EditorType="Color"
	#tag EndViewProperty
	#tag ViewProperty
		Name="HasBackgroundColor"
		Visible=true
		Group="Background"
		InitialValue="False"
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="AllowFocus"
		Visible=true
		Group="Behavior"
		InitialValue="False"
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="AllowTabs"
		Visible=true
		Group="Behavior"
		InitialValue="True"
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="DoubleBuffer"
		Visible=true
		Group="Windows Behavior"
		InitialValue="False"
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="Backdrop"
		Visible=true
		Group="Background"
		InitialValue=""
		Type="Picture"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="Enabled"
		Visible=true
		Group="Appearance"
		InitialValue="True"
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="EraseBackground"
		Visible=true
		Group="Behavior"
		InitialValue="True"
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="Height"
		Visible=true
		Group="Size"
		InitialValue="300"
		Type="Integer"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="InitialParent"
		Visible=false
		Group="Position"
		InitialValue=""
		Type="String"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="Left"
		Visible=true
		Group="Position"
		InitialValue=""
		Type="Integer"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="LockBottom"
		Visible=true
		Group="Position"
		InitialValue=""
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="LockLeft"
		Visible=true
		Group="Position"
		InitialValue=""
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="LockRight"
		Visible=true
		Group="Position"
		InitialValue=""
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="LockTop"
		Visible=true
		Group="Position"
		InitialValue=""
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="Name"
		Visible=true
		Group="ID"
		InitialValue=""
		Type="String"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="Super"
		Visible=true
		Group="ID"
		InitialValue=""
		Type="String"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="TabIndex"
		Visible=true
		Group="Position"
		InitialValue="0"
		Type="Integer"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="TabPanelIndex"
		Visible=false
		Group="Position"
		InitialValue="0"
		Type="Integer"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="TabStop"
		Visible=true
		Group="Position"
		InitialValue="True"
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="Top"
		Visible=true
		Group="Position"
		InitialValue=""
		Type="Integer"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="Transparent"
		Visible=true
		Group="Behavior"
		InitialValue="True"
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="Visible"
		Visible=true
		Group="Appearance"
		InitialValue="True"
		Type="Boolean"
		EditorType=""
	#tag EndViewProperty
	#tag ViewProperty
		Name="Width"
		Visible=true
		Group="Size"
		InitialValue="300"
		Type="Integer"
		EditorType=""
	#tag EndViewProperty
#tag EndViewBehavior
