#!/bin/bash

cd /home/pi/Desktop/Debugcomvette/

while :
do

    # Does a movie data file exist?
    #
    if [ -e launch_movie.dat ]; then

        # Read the contents of the data file.
        #
        read -r movie_file < launch_movie.dat

        # Launch the omxplayer with the specified movie file. The video window
        # placement and size were chosen arbitrarily to allow the omxplayer to
        # begin playing with its video rendered off-screen hidden from view.
        # Comvette will reposition and resize the video window as needed.
        #
        omxplayer --dbus_name "comvette.movie.player" --no-keys --no-osd --win 32000,32000,32160,32100 "$movie_file"

    fi

    # Take a one second nap.
    #
    sleep 1

done
